%if %(test -e /etc/mandrake-release && echo 1 || echo 0)
Requires: apache-mod_php apache-mod_security apache-mod_perl
Requires: apache-mod_proxy perl-libwww-perl perl-DBD-SQLite2 php-xml
Requires: perl-DBD-Pg perl-Apache-Session openssl perl-ldap php-sqlite
Requires: perl-CGI >= 3.08
%define serverroot /var/www
%define release 1mdk
BuildRequires: sqlite-tools
%else
Vendor: INTRINsec
%define release 1
%define serverroot /opt/INTRINsec
Requires: INTRINsec-common >= 0.3
BuildRequires: sqlite < 3 sqlite > 2
%endif

%define name VultureNG
%define version 0.9

Summary: VultureNG Reverse Proxy
Name: %name
Version: %version
Release: %release
License: GPL
Group: System/Servers
URL: http://vulture.open-source.fr
Buildarch: noarch
Source0: http://vulture.open-source.fr/download/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl

%description
VultureNG Reverse Proxy

%prep
%setup -q

%build
%if %(test -e /etc/mandrake-release && echo 1 || echo 0)
	make
%else
	make OPT=LIB=$RPM_BUILD_ROOT%{serverroot}/lib
%endif

%install
     rm -rf $RPM_BUILD_ROOT
     perl -pe 's|/opt/INTRINsec|%{serverroot}|g'\
	   -i www/WEB-INF/phpmvc-config.xml\
	   sql/sqlite.dump lib/Vulture/lib/Vulture/ResponseHandler.pm\
	   lib/Vulture/lib/Vulture.pm
     make PREFIX=$RPM_BUILD_ROOT%{serverroot} install
     rm -f $RPM_BUILD_ROOT%{serverroot}/lib/i386-linux-thread-multi/perllocal.pod
     install -d -m0700 $RPM_BUILD_ROOT/etc/init.d
     install -d -m0700 $RPM_BUILD_ROOT%{serverroot}/%{name}/sql
%if %(test -e /etc/mandrake-release && echo 1 || echo 0)
     export DONT_GPRINTIFY=1
     install -m0755 rpm/vultureng.mdk $RPM_BUILD_ROOT/etc/init.d/vultureng
     install -m0644 rpm/httpd.conf.mdk\
	$RPM_BUILD_ROOT%{serverroot}/%{name}/conf/httpd.conf
     install -m0644 rpm/config.php.mdk\
	$RPM_BUILD_ROOT%{serverroot}/%{name}/www/config.php
     perl -pe 's|dbi:SQLite|dbi:SQLite2|g' -i sql/sqlite.dump
     rm -f $RPM_BUILD_ROOT%{serverroot}/%{name}/www/phpmvc/WEB-INF/classes/phpmvc/dbcp/AdodbDataSource.php
%else
     install -m0755 rpm/vultureng $RPM_BUILD_ROOT/etc/init.d/vultureng
     install -m0600 rpm/httpd.conf\
	$RPM_BUILD_ROOT%{serverroot}/%{name}/conf/httpd.conf
     install -m0600 rpm/config.php\
	$RPM_BUILD_ROOT%{serverroot}/%{name}/www/config.php
%endif
     sqlite $RPM_BUILD_ROOT%{serverroot}/%{name}/sql/db < sql/sqlite.dump
     sqlite $RPM_BUILD_ROOT%{serverroot}/%{name}/sql/sessions < sql/sessions.dump

%clean
     rm -rf $RPM_BUILD_ROOT

%post
    if [ ! -f %{serverroot}/%{name}/conf/server.crt ]; then
        PATH=$PATH:%{serverroot}/bin openssl req -x509 -newkey rsa:1024 -batch\
        	-out %{serverroot}/%{name}/conf/server.crt\
        	-keyout %{serverroot}/%{name}/conf/server.key\
        	-nodes -config %{serverroot}/%{name}/conf/openssl.cnf
    fi
    /sbin/chkconfig --add vultureng
    /etc/init.d/vultureng start

%preun
    /etc/init.d/vultureng stop
    /sbin/chkconfig --del vultureng

%files
%defattr(-,apache,apache,-)
%config(noreplace) %{serverroot}/%{name}/sql
%config(noreplace) %{serverroot}/%{name}/conf
%config(noreplace) /etc/init.d/vultureng
%{serverroot}/%{name}/www
%defattr(-,root,root)
%if %(test -e /etc/mandrake-release && echo 1 || echo 0)
%(perl -MConfig -e 'print $Config{sitelib}')
%else
%{serverroot}/lib
%endif

%changelog
* Sun Sep 11 2005 Arnaud Desmons <adesmons@mandriva.org> 0.9-1mdk
- Fixed IE cache (thx to bounty)
  http://groups.open-source.fr/viewtopic.php?t=25
- mod_perl 2.0 renaming (thx to bounty)
  http://perl.apache.org/docs/2.0/rename.html
  http://groups.open-source.fr/viewtopic.php?t=25
- Win32 DBD:SQLite multithread workaround (thx to bounty) 
  http://groups.open-source.fr/viewtopic.php?t=25
- IHM improvements (thx to glr)
- PNG transparency hack for IE
  http://www.youngpup.net/2001/sleight
- Added support for application's headers customization
- Fixed buildrequires to sqlite < 3
- Fixed dash in alias

* Tue Jun 21 2005 Lenny Cartier <lenny@mandriva.com> 0.8-1mdk
- 0.8

* Mon Apr 25 2005 Arnaud Desmons <ads@INTRINsec.com> 0.5-1mdk
- mdk rpm

* Wed Apr 20 2005 Arnaud Desmons <ads@INTRINsec.com> 0.4-1
- Fixed SSO forward display bug in application edition form
- Added support for port number in private address
- Added profile shortcut if the login/password are the same
  as vulture
- Added apache server aliases support
- Added rewrite rules to return HTTP status codes
- Added custom log format for both interfaces and applications

* Wed Mar 9 2005 Arnaud Desmons <ads@INTRINsec.com> 0.3-1
- Added SSO forward implementation
- Added mod_access configuration
- Added SSLVerifyClient support in SSL CA Authentication
- Added mod_acces implementation

* Tue Mar 8 2005 Arnaud Desmons <ads@INTRINsec.com> 0.2-1
- Added mod_rewrite-like implementation
- Fixed LDAP group bug
- RPM spec improvements

* Tue Feb 22 2005 Arnaud Desmons <ads@INTRINsec.com> 0.1-1
- Initial build.

